package com.gct.centralbase.controller;

import com.gct.centralbase.service.CbCdWellSourceService;
import com.gct.common.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author xusirui 2021/5/6
 */
@RestController
@RequestMapping("/cbCdWellSource")
public class CbCdWellSourceController {

    @Autowired
    CbCdWellSourceService cbCdWellSourceService;

    @RequestMapping("/getWellInfo/{curPage}/{pageSize}")
    public Result getWellInfo(@PathVariable("curPage") Integer curPage,@PathVariable("pageSize") Integer pageSize){
        return cbCdWellSourceService.getWellInfo(curPage,pageSize);
    }



}
