package com.gct.centralbase.controller;


import com.gct.centralbase.entity.CbPcProWellboreStatusDaily;
import com.gct.centralbase.service.CbPcProWellboreStatusDailyService;
import com.gct.common.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 采出井井筒状态日数据 前端控制器
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@RestController
@RequestMapping("/cbPcProWellboreStatusDaily")
public class CbPcProWellboreStatusDailyController {
    @Autowired
    CbPcProWellboreStatusDailyService cbPcProWellboreStatusDailyService;

    @RequestMapping(value = "/wellBoreStatusDaily/{wellId}/{prodDate}", method = RequestMethod.GET)
    public Result getWellBoreStatusDaily(@PathVariable(value = "wellId") String wellId, @PathVariable(value = "prodDate") String prodDate) {
        return cbPcProWellboreStatusDailyService.getWellBoreStatusDaily(wellId,prodDate);
    }
    @RequestMapping(value = "/getA2DataForCalProduction/{WellName}/{dateTime}", method = RequestMethod.GET)
    public Result getA2DataForCalProduction(@PathVariable(value = "WellName") String WellName, @PathVariable(value = "dateTime") String dateTime) {
        CbPcProWellboreStatusDaily cbPcProWellboreStatusDaily= cbPcProWellboreStatusDailyService.getA2DataForCalProduction(WellName,dateTime);

        return Result.ok(cbPcProWellboreStatusDaily);
    }
}

