package com.gct.centralbase.controller;


import com.gct.centralbase.service.CbPcOrganizationService;
import com.gct.centralbase.service.CbPcWellSeriesInfoService;
import com.gct.common.core.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 井组信息表 前端控制器
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@RestController
@Api(value = "CbPcWellSeriesInfoController",description = "基础数据前端-井组数据导航")
@RequestMapping("/WellSeriesInfo")
public class CbPcWellSeriesInfoController {

    @Autowired
    private CbPcWellSeriesInfoService cbPcWellSeriesInfoService;

    @ApiOperation(value = "getWellSeriesInfo(获取井组数据)", notes = "获取井组数据")
    @GetMapping("/WellSeriesInfo")
    public Result getOrganization(){
        return  cbPcWellSeriesInfoService.getWellSeriesInfo();
    }
}

