package com.gct.centralbase.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 注入井状态日数据
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CbPcInjWellStatusDaily对象", description="注入井状态日数据")
@TableName("centralbase.cb_pc_inj_well_status_daily")
public class CbPcInjWellStatusDaily extends Model<CbPcInjWellStatusDaily> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "井ID")
    private String wellId;

    @ApiModelProperty(value = "日期填写格式：YYYYMMDD")
    private Integer injDate;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
