package com.gct.centralbase.service;

import com.gct.centralbase.entity.CbCdWellSource;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;

/**
 * <p>
 * 单井基础信息 服务类
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
public interface CbCdWellSourceService extends IService<CbCdWellSource> {

    /**
     * 获取井号数据
     * @return
     */
    Result getWellSource(String orgid);


    /**
     * 根据组织架构Id获取单井数据
     * @param orgid
     * @return
     */
    Result getjh(String orgid);

    Result searchWellsByOrgID(String seachText,String orgID);

    Result searchWellsByOrgID2(String seachText, String orgID);

    Result getByWellId(String wellName);

    Result getWellInfo(Integer curPage,Integer pageSize);

    //Result getAllWells(int curPage, int pageSize);
}
