package com.gct.centralbase.service;

import com.gct.centralbase.entity.CbTempWellMechDaily;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;

/**
 * <p>
 * 机采数据 daily 服务类
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
public interface CbTempWellMechDailyService extends IService<CbTempWellMechDaily> {

    /**
     * 获取载荷曲线
     * @param wellId
     * @param beginTime
     * @param endTime
     * @return
     */

    Result getLoadCurve(String wellId,String beginTime,String endTime);

    Result getWellMechDaily(String wellId,String prodDate);
}
