package com.gct.centralbase;

import com.gct.common.security.annotation.EnableGCTServiceSecurity;
import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
@MapperScan("com.gct.centralbase.mapper*")//要扫描的dao包
@EnableSwagger2Doc //启用swagger注解
@EnableGCTServiceSecurity
public class CentralBaseApplication {

    public static void main(String[] args) {
        SpringApplication.run(com.gct.centralbase.CentralBaseApplication.class, args);
    }

}
