package com.gct.centralbase.controller;


import com.gct.centralbase.service.CbPcGroupUnitSourceService;
import com.gct.centralbase.service.CbPcOrganizationService;
import com.gct.common.core.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 组合单元关联关系 前端控制器
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Api(value = "CbPcOrganizationController",description = "基础数据前端-组合单元导航")
@RestController
@RequestMapping("/GroupUnit")
public class CbPcGroupUnitSourceController {

    @Autowired
    private CbPcGroupUnitSourceService cbPcGroupUnitSourceService;

    @ApiOperation(value = "getGroupUnitSource(获取组合单元数据)", notes = "获取组合单元数据")
    @GetMapping("/GroupUnit")
    public Result getGroupUnitSource(){
        return  cbPcGroupUnitSourceService.getGroupUnitSource("1");
    }
}

