package com.gct.centralbase.controller;


import com.gct.centralbase.service.CbTempWellMechDailyService;
import com.gct.common.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 机采数据 daily 前端控制器
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@RestController
@RequestMapping("/cbTempWellMechDaily")
public class CbTempWellMechDailyController {
    @Autowired
    CbTempWellMechDailyService cbTempWellMechDailyService;

    @RequestMapping(value = "/wellMechDaily/{wellId}/{prodDate})", method = RequestMethod.GET)
    public Result getWellMechDaily(@PathVariable String wellId, @PathVariable String prodDate){
        return cbTempWellMechDailyService.getWellMechDaily(wellId,prodDate);
    }
}

