package com.gct.centralbase.controller;


import com.gct.centralbase.entity.CbTempWellMechRuntime;
import com.gct.centralbase.service.CbTempWellMechRuntimeService;
import com.gct.common.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.stream.Collectors;


/**
 * <p>
 * 机采数据 runtime 前端控制器
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@RestController
@RequestMapping("/cbTempWellMechRuntime")
public class CbTempWellMechRuntimeController {

    @Autowired
    CbTempWellMechRuntimeService cbTempWellMechRuntimeService;

    @RequestMapping("/getAllRuntimeData")
    public Result getAllRuntimeData(){
        return cbTempWellMechRuntimeService.getAllRuntimeData();
    }
}

