package com.gct.centralbase.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 井组信息表
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CbPcWellSeriesInfo对象", description="井组信息表")
@TableName("centralbase.cb_pc_well_series_info")
public class CbPcWellSeriesInfo extends Model<CbPcWellSeriesInfo> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "组井ID;唯一的井组标识符，独立且唯一，引用'井组基础数据表井组ID'")
    private String wellSeriesId;

    @ApiModelProperty(value = "井组名称")
    private String wellSeriesName;

    @ApiModelProperty(value = "序号")
    private Integer sequenceNo;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
