package com.gct.centralbase.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.centralbase.entity.CbCdWellSource;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 单井基础信息 Mapper 接口
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
public interface CbCdWellSourceMapper extends BaseMapper<CbCdWellSource> {

    List<CbCdWellSource> selectWellSourceList(@Param("orgIds") List<String> orgIds);

    Page<Map<String,Object>> getAllWellSourceList(IPage<Map<String,Object>> page, @Param("sql") String sql);
}
