package com.gct.centralbase.mapper;

import com.gct.centralbase.entity.CbPcOrganization;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 组织机构 Mapper 接口
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
public interface CbPcOrganizationMapper extends BaseMapper<CbPcOrganization> {

    List<CbPcOrganization> getOrgId(@Param("orgId") String orgId);

    List<Map<String,Object>> getSubOrgIDsWithMaxLevel(@Param("cycleLevel") int cycleLevel,@Param("orgID") String orgID);


    List<CbPcOrganization> getSubOrgIDsWithMaxLevel(@Param("sqlStatement") String sql);

}
