package com.gct.centralbase.mapper;

import com.gct.centralbase.entity.CbPcProWellboreVolDaily;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 采出井井筒生产日数据 Mapper 接口
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Mapper
public interface CbPcProWellboreVolDailyMapper extends BaseMapper<CbPcProWellboreVolDaily> {
    public CbPcProWellboreVolDaily getWellBoreVolDaily(String wellId,String prodDate);

    CbPcProWellboreVolDaily getA2DataForCalVolDaily(@Param("wellName") String wellName, @Param("dataTime") String dataTime);

    List<CbPcProWellboreVolDaily> getCbPcProWellBoreVolDaily(String prodDate,Integer curPage,Integer pageSize);
}
