package com.gct.centralbase.service;

import com.gct.centralbase.entity.CbTempWellMechRuntime;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;

/**
 * <p>
 * 机采数据 runtime 服务类
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
public interface CbTempWellMechRuntimeService extends IService<CbTempWellMechRuntime> {

    /**
     * 分页查询功图
     * @param pageNum
     * @param pageSize
     * @param wellId
     * @param beginTime
     * @param endTime
     * @return
     */
    Result getTiledPaging(Integer pageNum,Integer pageSize,String wellId,String beginTime,String endTime);

    /**
     * 分页功图叠加
     * @param pageNum
     * @param pageSize
     * @param wellId
     * @param beginTime
     * @param endTime
     * @return
     */
    Result getOverlayPaging(Integer pageNum,Integer pageSize,String wellId,String beginTime,String endTime);

    Result getAllRuntimeData();
}
