package com.gct.centralbase.service.impl;

import com.gct.centralbase.entity.CbPcProWellboreStatusDaily;
import com.gct.centralbase.mapper.CbPcProWellboreStatusDailyMapper;
import com.gct.centralbase.service.CbPcProWellboreStatusDailyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gct.common.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 采出井井筒状态日数据 服务实现类
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Service
public class CbPcProWellboreStatusDailyServiceImpl extends ServiceImpl<CbPcProWellboreStatusDailyMapper, CbPcProWellboreStatusDaily> implements CbPcProWellboreStatusDailyService {

    @Autowired
    CbPcProWellboreStatusDailyMapper mapper;

    @Override
    public Result getWellBoreStatusDaily(String wellId, String prodDate) {
        return Result.ok(mapper.getWellBoreStatusDaily(wellId,prodDate));
    }

    @Override
    public CbPcProWellboreStatusDaily getA2DataForCalProduction(String wellName, String dateTime) {
        return mapper.getA2DataForCalProduction(wellName,dateTime);
    }
}
